#
# spec file for package ghc-text-metrics
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name text-metrics
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.3.2
Release:        bp155.2.14
Summary:        Calculate various string metrics efficiently
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-vector-devel
ExcludeArch:    %{ix86}
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-hspec-devel
%endif

%description
Calculate various string metrics efficiently.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE.md

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Thu Dec 30 2021 Peter Simons <psimons@suse.com>
- Update text-metrics to version 0.3.2.
  [#]# Text Metrics 0.3.2
  * Works with `text-2.0`.
* Sat Aug 21 2021 psimons@suse.com
- Update text-metrics to version 0.3.1.
  [#]# Text Metrics 0.3.1
  * Fixed a bug in the implementation of Jaro-Winkler distance when two
    strings share a long prefix. [PR
    21](https://github.com/mrkkrp/text-metrics/pull/21).
  * Dropped support for GHC 8.6 and older.
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Fri Sep  4 2020 Peter Simons <psimons@suse.com>
- Replace %%setup -q with the more modern %%autosetup macro.
* Fri Sep  4 2020 psimons@suse.com
- Update text-metrics to version 0.3.0 revision 4.
  Upstream has revised the Cabal build instructions on Hackage.
* Fri Nov  8 2019 Peter Simons <psimons@suse.com>
- Drop obsolete group attributes.
* Fri Oct 19 2018 Peter Simons <psimons@suse.com>
- Update Cabal build instructions to support ghc-8.6.1.
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Wed Jul 18 2018 psimons@suse.com
- Revise cabal build file to specify more accurate dependencies.
* Wed May 16 2018 psimons@suse.com
- Prefer the new %%license attribute over %%doc.
- Update Cabal file to revision 2.
  * allow building with recent versions of criterion
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 0.3.0.
* Sat May 27 2017 psimons@suse.com
- Update to version 0.2.0 revision 1.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.2.0 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.1.0 revision 0 with cabal2obs.
